/*******************************************************************************
 * Copyright (C) 2011 European Synchrotron Radiation Facility
 * 
 * This file is part of the Data Analysis WorkBench (DAWB) project, 
 * see http://www.dawb.org for more information
 * 
 * DAWB is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DAWB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with DAWB.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/
package fable.framework.navigator.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.ui.PlatformUI;

import fable.framework.navigator.views.SampleNavigatorView;

public class OpenFilesAction extends Action {
	String initialDirData = "";
	public static final String ID = "fable.framework.navigator.openFilesAction";

	@Override
	public void run() {
		openFiles();

	}

	public void openFiles() {

		FileDialog dlg = new FileDialog(Display.getDefault().getActiveShell(),
				SWT.MULTI);

		SampleNavigatorView sampleView = (SampleNavigatorView) PlatformUI
				.getWorkbench().getActiveWorkbenchWindow().getActivePage()
				.findView(SampleNavigatorView.ID);
		initialDirData = SampleNavigatorView.getInitialDirectory();
		dlg.setFilterPath(initialDirData);
		String selectedDirectory = dlg.open();

		String files[] = dlg.getFileNames();

		if (selectedDirectory != null && files != null) {
			int index = selectedDirectory.lastIndexOf(System
					.getProperty("file.separator"));
			if (index > 0) {
				selectedDirectory = selectedDirectory.substring(0, index);

			}
			sampleView.addFiles(files, selectedDirectory);
		}
	}
}
