/*******************************************************************************
 * Copyright (C) 2011 European Synchrotron Radiation Facility
 * 
 * This file is part of the Data Analysis WorkBench (DAWB) project, 
 * see http://www.dawb.org for more information
 * 
 * DAWB is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DAWB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with DAWB.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/
package fable.framework.navigator.explorerProvider;
/*
 * @author Suchet
 * @date March 29, 2007
 * @decription : this class provides content in a table content provider
 */
import java.io.*;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

public class FileTableContentProvider implements IStructuredContentProvider {

	/*@arguments Object inputElement the root
	 *@return Object[] a list of child elements under the root element
	 * */
	public Object[] getElements(Object inputElement) {
		
		Object[] kids = ((File)inputElement).listFiles(new FileFilter(){

			public boolean accept(File pathname) {
				
				return !pathname.isHidden();
			}
			
		});
		/*new FileFilter(){

			public boolean accept(File arg0) {
				
				return arg0.isFile();
			}});
		*/
		return kids==null ? new Object[0] : kids;
	}

	public void dispose() {
		// TODO Auto-generated method stub

	}

	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
		// TODO Auto-generated method stub

	}

}
