/*******************************************************************************
 * Copyright (C) 2011 European Synchrotron Radiation Facility
 * 
 * This file is part of the Data Analysis WorkBench (DAWB) project, 
 * see http://www.dawb.org for more information
 * 
 * DAWB is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DAWB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with DAWB.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/
package fable.framework.navigator.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.core.runtime.preferences.DefaultScope;
import org.eclipse.core.runtime.preferences.IEclipsePreferences;
import org.eclipse.jface.preference.IPreferenceStore;

import fable.framework.internal.IVarKeys;
import fable.framework.navigator.Activator;

/***
 * 
 * @author SUCHET This is the default extension for fabio files. 'edf' :
 *         ['edf'], 'cor' : ['edf'], 'pnm' : ['pnm'], 'pgm' : ['pnm'], 'pbm' :
 *         ['pnm'], 'tif' : ['tif'], 'tiff' : ['tif'], 'img' : ['adsc','OXD'],
 *         'mccd' : ['marccd'], 'mar2300': ['mar345'], 'sfrm' : ['bruker100'],
 *         'msk' : ['fit2dmask'],
 * 
 * 
 * 
 */
public class SampleNavigatorPreferencesInitializer extends
		AbstractPreferenceInitializer {
	IEclipsePreferences default_pref = new DefaultScope()
			.getNode(Activator.PLUGIN_ID);

	public SampleNavigatorPreferencesInitializer() {
		super();
	}

	@Override
	public void initializeDefaultPreferences() {
		IPreferenceStore preferences = Activator.getDefault()
				.getPreferenceStore();
		preferences.setDefault(FabioPreferenceConstants.FILE_TYPE,
				default_pref.get(FabioPreferenceConstants.FILE_TYPE,
						IVarKeys.FABIO_TYPES));
		preferences.setDefault(FabioPreferenceConstants.STEM_NAME,
				default_pref.get(FabioPreferenceConstants.STEM_NAME, ""));
		preferences.setDefault(FabioPreferenceConstants.FIX_COLUMN_SIZE,
				default_pref.getBoolean(
						FabioPreferenceConstants.FIX_COLUMN_SIZE, false));
		
		preferences.setDefault(FabioPreferenceConstants.USE_FABIO, false);

	}

}
